import React from 'react';
import ReactDOM from 'react-dom';
import { Provider ,connect} from 'react-redux';
import {BrowserRouter as Router ,Route ,Link,Redirect} from 'react-router-dom';
import Store from './store.es6';
import action from './action.es6';
import Header from './coms/header.es6';
import Content from './coms/com.es6';
class MainPage extends React.Component {
    constructor(props){
        super(props);
        this.componentName='Main Page';
    }
    componentDidMount(){
       action.appInit();
    }
    render(){
        const links = [{
            href:'/ReactRedux',
            name:'主页'
        },{
            href:'/ReactRedux/header',
            name:'头部'
        },{
            href:'/ReactRedux/content',
            name:'正文'
        }];
        return <Router>
                <div>
                    <ul>
                        {
                            links.map((value,index)=>{
                                // console.log(value)
                                
                                return <li>
                                            <Link to = {value.href}><Header/></Link>
                                        </li>
                            })
                        }
                    </ul>
                    {/* <Route path='/ReactRedux/' component={ Header} /> 
                    <Route path='/ReactRedux/header' component={ Header} />
                    <Route path='/ReactRedux/content' component={ Content } />
                     */}
                     <Route path = '/:id' component = {Child} />
                </div>
               </Router>
                        
    }
}
class Child extends React.Component{
    constructor(props){
        super(props);
    }
    render(){
        let props = this.props;
        return <span></span>
    }
}
let App = connect((state)=>{  return state.body })(MainPage)
ReactDOM.render(<Provider store ={ Store } >
                   <App />
                </Provider>,document.getElementById('mainContainer'));
export {App}